%ifarch x86_64
%define barch ARCH=x86_64
%else
%define barch ARCH=i386
%endif

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Name:           openh264
Version:        1.7.0
Release:        1%{?dist}
Summary:        A codec library which supports H.264 encoding and decoding.

Group:          System Environment/Libraries
License:        CISCO
URL:            http://www.openh264.org/
Source0:        https://github.com/cisco/openh264/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nasm

%description
OpenH264 is a codec library which supports H.264 encoding and decoding. It is suitable for use in real time applications such as WebRTC. See http://www.openh264.org/ for more details.

%package        -n lib%{name}-devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    -n lib%{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n lib%{name}-static
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    -n lib%{name}-static
The %{name}-static package contains libraries files for
developing applications that use %{name}.

%prep
%setup -q
sed -i 's,libdir=${prefix}/lib,libdir=${prefix}/%{_lib},g' openh264.pc.in
sed -i 's,SHAREDLIB_DIR=$(PREFIX)/lib,SHAREDLIB_DIR=$(PREFIX)/%{_lib},g' Makefile
sed -i 's,LIBDIR_NAME=lib,LIBDIR_NAME=%{_lib},g' Makefile

%build
make all %{barch} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make all install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} SHAREDLIB_DIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 h264dec $RPM_BUILD_ROOT%{_bindir}/h264dec
install -m0755 h264enc $RPM_BUILD_ROOT%{_bindir}/h264enc

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc CODING_STYLE CONTRIBUTORS README.md RELEASES
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/h264dec
%{_bindir}/h264enc
%{_libdir}/*.so.*

%files -n lib%{name}-devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/openh264.pc

%files -n lib%{name}-static
%{_libdir}/*.a

%changelog
* Mon Oct 02 2017 momo-i <webmaster@momo-i.org> - 1.7.0-1
- Update to 1.7.0

* Sat Sep 10 2016 momo-i <webmaster@momo-i.org> - 1.6.0-1
- Update to 1.6.0

* Mon Nov 02 2015 momo-i <webmaster@momo-i.org> - 1.5.0-1
- Update to 1.5.0

* Mon Sep 14 2015 momo-i <webmaster@momo-i.org> - 1.4.0-2
- Fix openh264.pc

* Mon Sep 14 2015 momo-i <webmaster@momo-i.org> - 1.4.0-1
- Initial rpm release.
